Name:           cvsgraph
Version:        1.5.1
Release:        1
Epoch:          0
Summary:        A CVS/RCS repository grapher

Group:          Development/Tools
License:        GPL
URL:            http://www.akhphd.au.dk/~bertho/cvsgraph/
Source0: http://www.akhphd.au.dk/~bertho/cvsgraph/release/cvsgraph-1.5.1.tar.gz
Source1:        %{name}-httpd.conf
Patch0:         %{name}-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gd-devel, byacc, flex, freetype-devel, libpng-devel, zlib-devel
BuildRequires:  libjpeg-devel, %{__perl}
Obsoletes:      cvsgraph-web < 0:1.5.1

%description
CvsGraph is a utility to make a graphical representation of all
revisions and branches of a file in a CVS/RCS repository. It has been
inspired by the 'graph' option in WinCVS.


%prep
%setup -q
%patch0
rename .php3 .php contrib/*.php3
%{__perl} -pi -e \
  's|/home/bertho/public_html/cvsgraph/cvsgraph|%{_bindir}/cvsgraph|g ;
   s|/home/bertho/public_html/cvsgraph/conf/cvsgraph\.conf|%{_sysconfdir}/cvsgraph.conf|g' \
   contrib/*.php
%{__perl} -pi -e 's|/usr/local/etc|%{_sysconfdir}|g' cvsgraph.1
cp -p %{SOURCE1} contrib/cvsgraph-httpd.conf


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 cvsgraph $RPM_BUILD_ROOT%{_bindir}/cvsgraph
install -Dpm 644 cvsgraph.conf $RPM_BUILD_ROOT%{_sysconfdir}/cvsgraph.conf
install -Dpm 644 cvsgraph.1 $RPM_BUILD_ROOT%{_mandir}/man1/cvsgraph.1
install -Dpm 644 cvsgraph.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5/cvsgraph.conf.5


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README contrib/
%config(noreplace) %{_sysconfdir}/cvsgraph.conf
%{_bindir}/cvsgraph
%{_mandir}/man[15]/cvsgraph*.[15]*


%changelog
* Wed Jan 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.1-1
- Update to 1.5.1; wrapper, spelling and part of config patch applied upstream.
- Drop -web subpackage, include *.php as docs.

* Fri Sep  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.5.0-0.fdr.1
- Update to 1.5.0.
- Improve default configuration, manual page spelling fixes.
- Rename httpd.conf snippet to zzz-cvsgraph.conf.
- Spec cleanups.

* Sun Jun  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.3
- Address -web package comments in #56.
- Spec cleanups and tweaks according to current Fedora spec template.

* Fri Apr 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.2
- Fix missing Epoch in -web "main" package dependency.
- Save .spec in UTF-8.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.1
- Update to 1.4.0 and current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.3.0-1.fedora.1
- First Fedora release.
